---
title: Tools I should use more often
language: en
layout: default
created: 2016-04-08 22:38:47 +0200
updated: 2016-04-08 22:38:47 +0200
toc: false
tags:
  - know-how
  - development
  - tools
  - helpers
---
I often come across useful little tools where I think, I should try them later.
But this "later" never happens…

This should become a place where I collect these tools with reasons why I should
*really* try them.


* [Liquid Prompt](https://github.com/nojhan/liquidprompt) --- a useful adaptive prompt for Bash & zsh
  * [Liquid Prompt for FiSh](https://github.com/nojhan/liquidprompt/pull/230) --- Pull request for liquidprompt with support for FiSh
  * [angel-PS1](https://github.com/dolmen/angel-PS1) --- The Angel's Prompt, inspired by liquidprompt, compatible with bash, zsh, mksh, dash, ksh93, tchs and fish
  * [powerline-shell](https://github.com/milkbikis/powerline-shell) --- a beautiful and useful prompt for your shell (bash, zsh, fish)
  * [powerline](https://github.com/powerline/powerline) --- statusline plugin for vim, zsh, bash, tmux, IPython, Awesome, i3 and Qtile
* [transfer.sh](https://github.com/dutchcoders/transfer.sh) --- web service to easily share files from the CLI using curl
* [maybe](https://github.com/p-e-w/maybe) --- runs a command and shows what changes it would make to the filesystem while preventing those changes
* [betty](https://github.com/pickhardt/betty) --- friendly English-like interface for your command line, e.g. `betty find me all files that contain california`
* [httpie](https://github.com/jkbrzt/httpie) --- a CLI, cURL-like tool for humans, can pretty-print JSON answers from web services and much more
* [grc](https://github.com/garabik/grc) --- generic colouriser, can colour output from various tools, like ping, netstat, ps, tail, etc.
* [brotli](https://github.com/google/brotli) --- compression format
* [Open Location Code](https://github.com/google/open-location-code) --- compact way of specifying coordinates, supported by Google Maps
* [The Fuck](https://github.com/nvbn/thefuck) --- if you had a typo in your command, just type `fuck` and it'll do its best to come up with the correct command.
* [fu](https://github.com/samirahmed/fu) --- a simple CLI utility for querying commandlinefu.com
  * [bro](https://github.com/hubsmoke/bro) --- a simple CLI utility for querying bropages.org
* [devtodo2](https://github.com/alecthomas/devtodo2) --- command-line task management utility


Cool tools I already use
========================

* [aria2](https://github.com/tatsuhiro-t/aria2) --- multi-protocol, cross-platform download tool
* [fish-shell](https://github.com/fish-shell/fish-shell) --- friendly interactive shell
* [glances](https://github.com/nicolargo/glances) --- An eye on your system, htop+df+iotop+iftop and more
* [Guake](https://github.com/Guake/guake) --- drop-down terminal for Gnome
